be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDITEMMYCARENETvalues

- java.lang.Object
- - java.lang.Enum<CDITEMMYCARENETvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDITEMMYCARENETvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDITEMMYCARENETvalues>

      public enum CDITEMMYCARENETvalues
      extends Enum<CDITEMMYCARENETvalues>

  Java class for CD-ITEM-MYCARENETvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ITEM-MYCARENETvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="fee"/>
           <enumeration value="financialcontract"/>
           <enumeration value="patientfee"/>
           <enumeration value="payment"/>
           <enumeration value="reimbursement"/>
           <enumeration value="refusal"/>
           <enumeration value="patientpaid"/>
           <enumeration value="supplement"/>
           <enumeration value="paymentreceivingparty"/>
           <enumeration value="internship"/>
           <enumeration value="documentidentity"/>
           <enumeration value="invoicingnumber"/>
           <enumeration value="reimbursement-fpssi"/>
           <enumeration value="reimbursement-pswc"/>
           <enumeration value="umc"/>
           <enumeration value="mediprimanumber"/>
           <enumeration value="pswc"/>
           <enumeration value="treatmentreason"/>
           <enumeration value="agreementenddate"/>
           <enumeration value="agreementstartdate"/>
           <enumeration value="agreementtype"/>
           <enumeration value="consultationenddate"/>
           <enumeration value="consultationstartdate"/>
           <enumeration value="authorisationtype"/>
           <enumeration value="decisionreference"/>
           <enumeration value="orphandrugdeliveryplace"/>
           <enumeration value="refusaljustification"/>
           <enumeration value="reststrength"/>
           <enumeration value="restunitnumber"/>
           <enumeration value="legalbasis"/>
           <enumeration value="legalunitnumber"/>
           <enumeration value="legalstrength"/>
           <enumeration value="istrialperiod"/>
           <enumeration value="closurejustification"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGREEMENTENDDATE`
    `AGREEMENTSTARTDATE`
    `AGREEMENTTYPE`
    `AUTHORISATIONTYPE`
    `CLOSUREJUSTIFICATION`
    `CONSULTATIONENDDATE`
    `CONSULTATIONSTARTDATE`
    `DECISIONREFERENCE`
    `DOCUMENTIDENTITY`
    `FEE`
    `FINANCIALCONTRACT`
    `INTERNSHIP`
    `INVOICINGNUMBER`
    `ISTRIALPERIOD`
    `LEGALBASIS`
    `LEGALSTRENGTH`
    `LEGALUNITNUMBER`
    `MEDIPRIMANUMBER`
    `ORPHANDRUGDELIVERYPLACE`
    `PATIENTFEE`
    `PATIENTPAID`
    `PAYMENT`
    `PAYMENTRECEIVINGPARTY`
    `PSWC`
    `REFUSAL`
    `REFUSALJUSTIFICATION`
    `REIMBURSEMENT`
    `REIMBURSEMENT_FPSSI`
    `REIMBURSEMENT_PSWC`
    `RESTSTRENGTH`
    `RESTUNITNUMBER`
    `SUPPLEMENT`
    `TREATMENTREASON`
    `UMC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDITEMMYCARENETvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDITEMMYCARENETvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDITEMMYCARENETvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FEE

          public static final CDITEMMYCARENETvalues FEE

    - #### FINANCIALCONTRACT

          public static final CDITEMMYCARENETvalues FINANCIALCONTRACT

    - #### PATIENTFEE

          public static final CDITEMMYCARENETvalues PATIENTFEE

    - #### PAYMENT

          public static final CDITEMMYCARENETvalues PAYMENT

    - #### REIMBURSEMENT

          public static final CDITEMMYCARENETvalues REIMBURSEMENT

    - #### REFUSAL

          public static final CDITEMMYCARENETvalues REFUSAL

    - #### PATIENTPAID

          public static final CDITEMMYCARENETvalues PATIENTPAID

    - #### SUPPLEMENT

          public static final CDITEMMYCARENETvalues SUPPLEMENT

    - #### PAYMENTRECEIVINGPARTY

          public static final CDITEMMYCARENETvalues PAYMENTRECEIVINGPARTY

    - #### INTERNSHIP

          public static final CDITEMMYCARENETvalues INTERNSHIP

    - #### DOCUMENTIDENTITY

          public static final CDITEMMYCARENETvalues DOCUMENTIDENTITY

    - #### INVOICINGNUMBER

          public static final CDITEMMYCARENETvalues INVOICINGNUMBER

    - #### REIMBURSEMENT_FPSSI

          public static final CDITEMMYCARENETvalues REIMBURSEMENT_FPSSI

    - #### REIMBURSEMENT_PSWC

          public static final CDITEMMYCARENETvalues REIMBURSEMENT_PSWC

    - #### UMC

          public static final CDITEMMYCARENETvalues UMC

    - #### MEDIPRIMANUMBER

          public static final CDITEMMYCARENETvalues MEDIPRIMANUMBER

    - #### PSWC

          public static final CDITEMMYCARENETvalues PSWC

    - #### TREATMENTREASON

          public static final CDITEMMYCARENETvalues TREATMENTREASON

    - #### AGREEMENTENDDATE

          public static final CDITEMMYCARENETvalues AGREEMENTENDDATE

    - #### AGREEMENTSTARTDATE

          public static final CDITEMMYCARENETvalues AGREEMENTSTARTDATE

    - #### AGREEMENTTYPE

          public static final CDITEMMYCARENETvalues AGREEMENTTYPE

    - #### CONSULTATIONENDDATE

          public static final CDITEMMYCARENETvalues CONSULTATIONENDDATE

    - #### CONSULTATIONSTARTDATE

          public static final CDITEMMYCARENETvalues CONSULTATIONSTARTDATE

    - #### AUTHORISATIONTYPE

          public static final CDITEMMYCARENETvalues AUTHORISATIONTYPE

    - #### DECISIONREFERENCE

          public static final CDITEMMYCARENETvalues DECISIONREFERENCE

    - #### ORPHANDRUGDELIVERYPLACE

          public static final CDITEMMYCARENETvalues ORPHANDRUGDELIVERYPLACE

    - #### REFUSALJUSTIFICATION

          public static final CDITEMMYCARENETvalues REFUSALJUSTIFICATION

    - #### RESTSTRENGTH

          public static final CDITEMMYCARENETvalues RESTSTRENGTH

    - #### RESTUNITNUMBER

          public static final CDITEMMYCARENETvalues RESTUNITNUMBER

    - #### LEGALBASIS

          public static final CDITEMMYCARENETvalues LEGALBASIS

    - #### LEGALUNITNUMBER

          public static final CDITEMMYCARENETvalues LEGALUNITNUMBER

    - #### LEGALSTRENGTH

          public static final CDITEMMYCARENETvalues LEGALSTRENGTH

    - #### ISTRIALPERIOD

          public static final CDITEMMYCARENETvalues ISTRIALPERIOD

    - #### CLOSUREJUSTIFICATION

          public static final CDITEMMYCARENETvalues CLOSUREJUSTIFICATION

  - ### Method Detail

    - #### values

          public static CDITEMMYCARENETvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDITEMMYCARENETvalues c : CDITEMMYCARENETvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDITEMMYCARENETvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDITEMMYCARENETvalues fromValue(String v)

Connector Package PERSMIDWIFE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.